Summary: A file compression utility.
Name: bzip2
Version: 1.0pre7
Release: 1
Copyright: GPL
Group: Applications/File
Source: http://www.muraroa.demon.co.uk/bzip2-%{version}.tar.gz

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities 
of the best techniques available.  However, bzip2 has the added benefit 
of being approximately two times faster at compression and six times 
faster at decompression than those techniques.  Bzip2 is not the 
fastest compression utility, but it does strike a balance between speed 
and compression capability.

Install bzip2 if you need a compression utility.

%prep
%setup -q

%build

make CFLAGS="$RPM_OPT_FLAGS"
make -f Makefile-libbz2_so CFLAGS="$RPM_OPT_FLAGS"

%install
install -s -m 0755 bzip2 /usr/bin/bzip2
ln -f -s /usr/bin/bzip2 /usr/bin/bunzip2
ln -f -s /usr/bin/bzip2 /usr/bin/bzcat
install -s -m 0755 bzip2recover /usr/bin/bzip2recover

install -m 0644 bzip2.1 /usr/man/man1/
install -m 0644 bzlib.h /usr/include/
install -m 0644 libbz2.a /usr/lib/
install -m 0644 libbz2.so.1.0.0 /usr/lib/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc  README LICENSE CHANGES Y2K_INFO manual*.*
/usr/bin/bzip2
/usr/bin/bunzip2
/usr/bin/bzip2recover
/usr/man/man1/bzip2.1
/usr/lib/libbz2.*
/usr/include/bzlib.h

%changelog
* Thu Apr 26 2000 Soenke Peters <peters@simprovement.com>
- upgrade to 1.0pre7

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 0.9.5c.

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- install actual bzip2 binary, not libtool cruft.

* Sun Aug  8 1999 Jeff Johnson <jbj@redhat.com>
- run ldconfig to get shared library.

* Mon Aug  2 1999 Jeff Johnson <jbj@redhat.com>
- create shared libbz1.so.* library.

* Sun Apr  4 1999 Jeff Johnson <jbj@redhat.com>
- update to bzip2-0.9.0c.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- force compilation with egcs to avoid gcc optimization bug (thank God 
  we haven't been beaten by it)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- version 0.9.0b

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.9.0

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- first build for Manhattan
